# Fetch Project Assignment Checkin Questionnaire Data

GET https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/project-assignment/checkin

Use this endpoint to fetch the project assignment checkin data with all necessary information to render in your side the questionnaire
 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-project-assignment/get-project-assignment-checkin

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/project-assignment/checkin:
    get:
      operationId: get-project-assignment-checkin
      summary: Fetch Project Assignment Checkin Questionnaire Data
      description: >-
        Use this endpoint to fetch the project assignment checkin data with all
        necessary information to render in your side the questionnaire
         **Token scopes**: `contracts:read`
      tags:
        - subpackage_eorProjectAssignment
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the contract.
          required: true
          schema:
            type: string
        - name: version
          in: query
          description: >-
            This field is to ensure that the latest version of the project
            assignment checkin matches the version received from the webhook. If
            it is not sent, the version validation is not performed. If it is
            sent, it is checked whether the current version is equal to the
            version sent; if not, a 409 error occurs, otherwise, the data is
            returned.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response containing form configuration data.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-project-assignment_getProjectAssignmentCheckin_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FetchProjectAssignmentCheckinQuestionnaireDataRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '409':
          description: The requested version of the document mismatch the current version.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FetchProjectAssignmentCheckinQuestionnaireDataRequestConflictError
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FetchProjectAssignmentCheckinQuestionnaireDataRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsType:
      type: string
      enum:
        - FreeText
        - Paragraph
        - SingleSelection
        - MultiSelection
        - Address
        - PhoneNumber
        - DocumentUpload
        - Number
        - Dropdown
        - DatePicker
        - Email
      description: Type of the question.
      title: >-
        EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsType
    EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsOptionsItems:
      type: object
      properties:
        title:
          type: string
          description: Display text for the option.
        value:
          type:
            - string
            - 'null'
          description: Value associated with the option.
      title: >-
        EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsOptionsItems
    EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsDefaultValue:
      oneOf:
        - type: string
        - type: number
          format: double
        - type: boolean
      description: Default value to pre-fill in the form.
      title: >-
        EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsDefaultValue
    EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItems:
      type: object
      properties:
        key:
          type: string
          description: Unique key identifier for the question.
        type:
          $ref: >-
            #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsType
          description: Type of the question.
        title:
          type: string
          description: Title of the question.
        options:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsOptionsItems
          description: >-
            List of selectable options for selection-type questions. Value may
            be of any type.
        is_required:
          type: boolean
          description: Indicates if the question is required.
        default_value:
          $ref: >-
            #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItemsDefaultValue
          description: Default value to pre-fill in the form.
        is_only_digits:
          type: boolean
          description: Restricts input to numeric characters only, for FreeText questions.
      required:
        - key
        - type
        - title
      title: >-
        EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItems
    EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItems:
      type: object
      properties:
        title:
          type: string
          description: Title of the section.
        subtitle:
          type: string
          description: Additional information shown at the top of the section.
        questions:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItemsQuestionsItems
          description: List of questions within the section.
      required:
        - title
        - questions
      title: >-
        EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItems
    EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the resource
        sections:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaDataSectionsItems
          description: Sections of questions
        created_at:
          type: string
          format: date-time
          description: Timestamp indicating when the resource was created (ISO 8601).
        updated_at:
          type: string
          format: date-time
          description: Timestamp indicating when the resource was last updated (ISO 8601).
      required:
        - id
        - sections
        - created_at
        - updated_at
      title: >-
        EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaData
    eor-project-assignment_getProjectAssignmentCheckin_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: eor-project-assignment_getProjectAssignmentCheckin_Response_200
    EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: >-
        EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaErrorsItems
    FetchProjectAssignmentCheckinQuestionnaireDataRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaErrorsItems
      title: FetchProjectAssignmentCheckinQuestionnaireDataRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    FetchProjectAssignmentCheckinQuestionnaireDataRequestConflictError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: FetchProjectAssignmentCheckinQuestionnaireDataRequestConflictError
    FetchProjectAssignmentCheckinQuestionnaireDataRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdProjectAssignmentCheckinGetResponsesContentApplicationJsonSchemaErrorsItems
      title: FetchProjectAssignmentCheckinQuestionnaireDataRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin"

querystring = {"version":"e374540fc9a92390f9a1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin?version=e374540fc9a92390f9a1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin?version=e374540fc9a92390f9a1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin?version=e374540fc9a92390f9a1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin?version=e374540fc9a92390f9a1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin?version=e374540fc9a92390f9a1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin?version=e374540fc9a92390f9a1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/checkin?version=e374540fc9a92390f9a1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```